io.undertow.server.handlers.form

## Class MultiPartParserDefinition

- java.lang.Object
- - io.undertow.server.handlers.form.MultiPartParserDefinition

All Implemented Interfaces:
  FormParserFactory.ParserDefinition<MultiPartParserDefinition>

    public class MultiPartParserDefinition
    extends Object
    implements FormParserFactory.ParserDefinition<MultiPartParserDefinition>

Author:
  Stuart Douglas

### Nested Class Summary

Nested Classes
`static class` `MultiPartParserDefinition.FileTooLargeException`

### Field Summary

Fields
`static String` `MULTIPART_FORM_DATA`

### Constructor Summary

Constructors
Constructor and Description
`MultiPartParserDefinition()`
`MultiPartParserDefinition(Path tempDir)`

### Method Summary

All Methods Instance Methods Concrete Methods
`FormDataParser` `create(HttpServerExchange exchange)`
`String` `getDefaultEncoding()`
`Executor` `getExecutor()`
`long` `getMaxIndividualFileSize()`
`Path` `getTempFileLocation()`
`MultiPartParserDefinition` `setDefaultEncoding(String defaultEncoding)`
`MultiPartParserDefinition` `setExecutor(Executor executor)`
`void` `setFileSizeThreshold(long fileSizeThreshold)`
`void` `setMaxIndividualFileSize(long maxIndividualFileSize)`
`MultiPartParserDefinition` `setTempFileLocation(Path tempFileLocation)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MULTIPART_FORM_DATA

    public static final String MULTIPART_FORM_DATA

See Also:
  Constant Field Values

### Constructor Detail

#### MultiPartParserDefinition

    public MultiPartParserDefinition()

#### MultiPartParserDefinition

    public MultiPartParserDefinition(Path tempDir)

### Method Detail

#### create

    public FormDataParser create(HttpServerExchange exchange)

Specified by:
  `create` in interface `FormParserFactory.ParserDefinition<MultiPartParserDefinition>`

#### getExecutor

    public Executor getExecutor()

#### setExecutor

    public MultiPartParserDefinition setExecutor(Executor executor)

#### getTempFileLocation

    public Path getTempFileLocation()

#### setTempFileLocation

    public MultiPartParserDefinition setTempFileLocation(Path tempFileLocation)

#### getDefaultEncoding

    public String getDefaultEncoding()

#### setDefaultEncoding

    public MultiPartParserDefinition setDefaultEncoding(String defaultEncoding)

Specified by:
  `setDefaultEncoding` in interface `FormParserFactory.ParserDefinition<MultiPartParserDefinition>`

#### getMaxIndividualFileSize

    public long getMaxIndividualFileSize()

#### setMaxIndividualFileSize

    public void setMaxIndividualFileSize(long maxIndividualFileSize)

#### setFileSizeThreshold

    public void setFileSizeThreshold(long fileSizeThreshold)